Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime
Interface RuntimePackage

All Known Implementing Classes:
  RuntimePackageImpl

    public interface RuntimePackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `RuntimeFactory`

Nested Class Summary
`static interface` | `RuntimePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static RuntimePackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `JAVA_EXCEPTION` The meta object id for the 'Java Exception' data type.
`static int` | `MODEL_QUERY_CONTEXT` The meta object id for the '`Model Query Context`' class.
`static int` | `MODEL_QUERY_CONTEXT__SELECTED_MODEL_ELEMENTS` The feature id for the 'Selected Model Elements' reference list.
`static int` | `MODEL_QUERY_CONTEXT__SELECTED_MODELS` The feature id for the 'Selected Models' attribute list.
`static int` | `MODEL_QUERY_CONTEXT_FEATURE_COUNT` The number of structural features of the 'Model Query Context' class.
`static int` | `MODEL_QUERY_PARAMETER_VALUE` The meta object id for the '`Model Query Parameter Value`' class.
`static int` | `MODEL_QUERY_PARAMETER_VALUE__PARAMETER` The feature id for the 'Parameter' reference.
`static int` | `MODEL_QUERY_PARAMETER_VALUE__VALUE` The feature id for the 'Value' attribute.
`static int` | `MODEL_QUERY_PARAMETER_VALUE_FEATURE_COUNT` The number of structural features of the 'Model Query Parameter Value' class.
`static int` | `MODEL_QUERY_RESULT` The meta object id for the '`Model Query Result`' class.
`static int` | `MODEL_QUERY_RESULT__EXCEPTION` The feature id for the 'Exception' attribute.
`static int` | `MODEL_QUERY_RESULT__SOURCE` The feature id for the 'Source' reference.
`static int` | `MODEL_QUERY_RESULT__VALUE` The feature id for the 'Value' attribute.
`static int` | `MODEL_QUERY_RESULT_FEATURE_COUNT` The number of structural features of the 'Model Query Result' class.

Method Summary
`EDataType` | `getJavaException()` Returns the meta object for data type '`Java Exception`'.
`EReference` | `getModelQueryContext_SelectedModelElements()` Returns the meta object for the reference list '`Selected Model Elements`'.
`EAttribute` | `getModelQueryContext_SelectedModels()` Returns the meta object for the attribute list '`Selected Models`'.
`EClass` | `getModelQueryContext()` Returns the meta object for class '`Model Query Context`'.
`EReference` | `getModelQueryParameterValue_Parameter()` Returns the meta object for the reference '`Parameter`'.
`EAttribute` | `getModelQueryParameterValue_Value()` Returns the meta object for the attribute '`Value`'.
`EClass` | `getModelQueryParameterValue()` Returns the meta object for class '`Model Query Parameter Value`'.
`EAttribute` | `getModelQueryResult_Exception()` Returns the meta object for the attribute '`Exception`'.
`EReference` | `getModelQueryResult_Source()` Returns the meta object for the reference '`Source`'.
`EAttribute` | `getModelQueryResult_Value()` Returns the meta object for the attribute '`Value`'.
`EClass` | `getModelQueryResult()` Returns the meta object for class '`Model Query Result`'.
`RuntimeFactory` | `getRuntimeFactory()` Returns the factory that creates the instances of the model.

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final RuntimePackage eINSTANCE

  The singleton instance of the package.

### MODEL_QUERY_CONTEXT

    static final int MODEL_QUERY_CONTEXT

  The meta object id for the '`Model Query Context`' class.

  See Also:
    `ModelQueryContextImpl`, `RuntimePackageImpl.getModelQueryContext()`, Constant Field Values

### MODEL_QUERY_CONTEXT__SELECTED_MODEL_ELEMENTS

    static final int MODEL_QUERY_CONTEXT__SELECTED_MODEL_ELEMENTS

  The feature id for the 'Selected Model Elements' reference list.

  See Also:
    Constant Field Values

### MODEL_QUERY_CONTEXT__SELECTED_MODELS

    static final int MODEL_QUERY_CONTEXT__SELECTED_MODELS

  The feature id for the 'Selected Models' attribute list.

  See Also:
    Constant Field Values

### MODEL_QUERY_CONTEXT_FEATURE_COUNT

    static final int MODEL_QUERY_CONTEXT_FEATURE_COUNT

  The number of structural features of the 'Model Query Context' class.

  See Also:
    Constant Field Values

### MODEL_QUERY_PARAMETER_VALUE

    static final int MODEL_QUERY_PARAMETER_VALUE

  The meta object id for the '`Model Query Parameter Value`' class.

  See Also:
    `ModelQueryParameterValueImpl`, `RuntimePackageImpl.getModelQueryParameterValue()`, Constant Field Values

### MODEL_QUERY_PARAMETER_VALUE__PARAMETER

    static final int MODEL_QUERY_PARAMETER_VALUE__PARAMETER

  The feature id for the 'Parameter' reference.

  See Also:
    Constant Field Values

### MODEL_QUERY_PARAMETER_VALUE__VALUE

    static final int MODEL_QUERY_PARAMETER_VALUE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY_PARAMETER_VALUE_FEATURE_COUNT

    static final int MODEL_QUERY_PARAMETER_VALUE_FEATURE_COUNT

  The number of structural features of the 'Model Query Parameter Value' class.

  See Also:
    Constant Field Values

### MODEL_QUERY_RESULT

    static final int MODEL_QUERY_RESULT

  The meta object id for the '`Model Query Result`' class.

  See Also:
    `ModelQueryResultImpl`, `RuntimePackageImpl.getModelQueryResult()`, Constant Field Values

### MODEL_QUERY_RESULT__SOURCE

    static final int MODEL_QUERY_RESULT__SOURCE

  The feature id for the 'Source' reference.

  See Also:
    Constant Field Values

### MODEL_QUERY_RESULT__VALUE

    static final int MODEL_QUERY_RESULT__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY_RESULT__EXCEPTION

    static final int MODEL_QUERY_RESULT__EXCEPTION

  The feature id for the 'Exception' attribute.

  See Also:
    Constant Field Values

### MODEL_QUERY_RESULT_FEATURE_COUNT

    static final int MODEL_QUERY_RESULT_FEATURE_COUNT

  The number of structural features of the 'Model Query Result' class.

  See Also:
    Constant Field Values

### JAVA_EXCEPTION

    static final int JAVA_EXCEPTION

  The meta object id for the 'Java Exception' data type.

  See Also:
    `Exception`, `RuntimePackageImpl.getJavaException()`, Constant Field Values

Method Detail

### getModelQueryContext

    EClass getModelQueryContext()

  Returns the meta object for class '`Model Query Context`'.

  Returns:
    the meta object for class 'Model Query Context'.
  See Also:
    `ModelQueryContext`

### getModelQueryContext_SelectedModelElements

    EReference getModelQueryContext_SelectedModelElements()

  Returns the meta object for the reference list '`Selected Model Elements`'.

  Returns:
    the meta object for the reference list 'Selected Model Elements'.
  See Also:
    `ModelQueryContext.getSelectedModelElements()`, `getModelQueryContext()`

### getModelQueryContext_SelectedModels

    EAttribute getModelQueryContext_SelectedModels()

  Returns the meta object for the attribute list '`Selected Models`'.

  Returns:
    the meta object for the attribute list 'Selected Models'.
  See Also:
    `ModelQueryContext.getSelectedModels()`, `getModelQueryContext()`

### getModelQueryParameterValue

    EClass getModelQueryParameterValue()

  Returns the meta object for class '`Model Query Parameter Value`'.

  Returns:
    the meta object for class 'Model Query Parameter Value'.
  See Also:
    `ModelQueryParameterValue`

### getModelQueryParameterValue_Parameter

    EReference getModelQueryParameterValue_Parameter()

  Returns the meta object for the reference '`Parameter`'.

  Returns:
    the meta object for the reference 'Parameter'.
  See Also:
    `ModelQueryParameterValue.getParameter()`, `getModelQueryParameterValue()`

### getModelQueryParameterValue_Value

    EAttribute getModelQueryParameterValue_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ModelQueryParameterValue.getValue()`, `getModelQueryParameterValue()`

### getModelQueryResult

    EClass getModelQueryResult()

  Returns the meta object for class '`Model Query Result`'.

  Returns:
    the meta object for class 'Model Query Result'.
  See Also:
    `ModelQueryResult`

### getModelQueryResult_Source

    EReference getModelQueryResult_Source()

  Returns the meta object for the reference '`Source`'.

  Returns:
    the meta object for the reference 'Source'.
  See Also:
    `ModelQueryResult.getSource()`, `getModelQueryResult()`

### getModelQueryResult_Value

    EAttribute getModelQueryResult_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ModelQueryResult.getValue()`, `getModelQueryResult()`

### getModelQueryResult_Exception

    EAttribute getModelQueryResult_Exception()

  Returns the meta object for the attribute '`Exception`'.

  Returns:
    the meta object for the attribute 'Exception'.
  See Also:
    `ModelQueryResult.getException()`, `getModelQueryResult()`

### getJavaException

    EDataType getJavaException()

  Returns the meta object for data type '`Java Exception`'.

  Returns:
    the meta object for data type 'Java Exception'.
  See Also:
    `Exception`

### getRuntimeFactory

    RuntimeFactory getRuntimeFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD